
package it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma;

import javax.xml.ws.WebFault;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.3-b02-
 * Generated source version: 2.1
 * 
 */
@WebFault(name = "fault", targetNamespace = "urn:postecom")
public class PosteDocException_Exception
    extends Exception
{

    /**
     * Java type that goes as soapenv:Fault detail element.
     * 
     */
    private PosteDocException faultInfo;

    /**
     * 
     * @param faultInfo
     * @param message
     */
    public PosteDocException_Exception(String message, PosteDocException faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @param faultInfo
     * @param cause
     * @param message
     */
    public PosteDocException_Exception(String message, PosteDocException faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @return
     *     returns fault bean: it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.PosteDocException
     */
    public PosteDocException getFaultInfo() {
        return faultInfo;
    }

}
